sqlplus sys/123456@testdb as sysdba

CREATE SMALLFILE TABLESPACE "TEST_DATA1" 
DATAFILE 'C:\TEST_DATA101.DAT' SIZE 200M 
LOGGING EXTENT MANAGEMENT LOCAL SEGMENT SPACE MANAGEMENT AUTO DEFAULT
 COMPRESS FOR DIRECT_LOAD OPERATIONS ;

 
 CREATE SMALLFILE TABLESPACE "TEST_INDEX1" DATAFILE
 'C:\TEST_INDEX1_LOG.DAT' SIZE 200M LOGGING EXTENT MANAGEMENT 
 LOCAL SEGMENT SPACE MANAGEMENT AUTO DEFAULT COMPRESS FOR DIRECT_LOAD OPERATIONS ;
 
 
create user TEST IDENTIFIED  by test  PROFILE DEFAULT  default tablespace TEST_DATA1 temporary tablespace TEMP  ACCOUNT UNLOCK ; 
grant create session to TEST;
grant create table to TEST;
grant create trigger to TEST;
grant create sequence to TEST;
grant create procedure to TEST;
grant create type to TEST;
grant unlimited tablespace to TEST;
grant create view to TEST;
grant execute on sys.dbms_crypto to TEST;
grant execute on sys.DBMS_LOB to TEST;
grant execute on sys.DBMS_RANDOM to TEST;

exit;

sqlplus test/test@testdb

create table PERSON
(
   JLBH NUMBER(10) not null,
   NAME varchar2(50),
   PNO  varchar2(50),
   ADDRESS varchar2(200),
   AGE NUMBER(3),
   CONSTRAINT PK_PERSON PRIMARY KEY(JLBH)	USING INDEX TABLESPACE "TEST_INDEX1"
) tablespace "TEST_DATA1";


create table COURSE
(
   JLBH NUMBER(10) not null,
   NAME varchar2(50),
   TIME varchar2(50)
) tablespace "TEST_DATA1";

create table PERSON_COURSE
(
  PERSON_ID NUMBER(10) not null,
  COUR_ID NUMBER(10) not null
) tablespace "TEST_DATA1";







